> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models for a Key

> List the models an AI provider key can run.



## OpenAPI

````yaml GET /v1/ai-providers/configs/{id}/models
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/ai-providers/configs/{id}/models:
    get:
      tags:
        - ai-providers
      description: List the models an AI provider key can run.
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    type:
                      type: string
                      enum:
                        - image
                        - text
                    metadata:
                      type: object
                      properties:
                        contextTokens:
                          type: number
                        maxOutputTokens:
                          type: number
                        releaseDate:
                          type: string
                        inputCostPerMillionTokens:
                          type: number
                        outputCostPerMillionTokens:
                          type: number
                        cacheReadCostPerMillionTokens:
                          type: number
                        cacheWriteCostPerMillionTokens:
                          type: number
                        supportsToolCalling:
                          type: boolean
                        supportsReasoning:
                          type: boolean
                        supportsVision:
                          type: boolean
                      additionalProperties: false
                  required:
                    - id
                    - name
                    - type
                  additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.